﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace P25_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Конструктор
        public MainPage()
        {
            InitializeComponent();
        }
        //Нажатие на кнопку
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //Формируем адрес
            string gamePageCall = "/Game.xaml";
            //Добавляем параметры
            gamePageCall = gamePageCall + "?" + "Username=" + textBox1.Text;
            //Вызываем страницу
            NavigationService.Navigate(new Uri(gamePageCall, UriKind.Relative));
        }
        //Получение фокуса текстовым полем
        private void textBox1_GotFocus(object sender, RoutedEventArgs e)
        {
            textBox1.Text = "";
        }
        //Активация страницы
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            int scores = (Application.Current as App).Scores;
            //Сформируем сообщение о набранных очках
            if (textBox1.Text != "" && textBox1.Text != "Введите ваше имя")
            {
                textBlock2.Text = "Пользователь " + textBox1.Text + " набрал " + scores.ToString() + " очка (ов) (о)";
            }
            base.OnNavigatedTo(e);
        }
    }
}